org.deidentifier.arx.test

## Class TestAnonymization

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestAnonymization

    public class TestAnonymization
    extends AbstractTest

Test for data transformations.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestAnonymization()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `testAllAttributesIdentifying()` Performs a test
`void` `testAllAttributesInsensitive()` Performs a test
`void` `testAllAttributesSensitive()` Performs a test
`void` `testDPresenceWithoutOutliers()` Performs a test
`void` `testHierarchyWithHeightOne()` Performs a test
`void` `testKAnonymizationWithoutOutliers()` Performs a test
`void` `testLDiversityDistinctWithoutOutliers()` Performs a test
`void` `testLDiversityEntropyWithoutOutliers()` Performs a test
`void` `testLDiversityWithoutOutliers()` Performs a test
`void` `testMoreThanOneAttributeSensitive()` Performs a test
`void` `testMultipleUsesOfDataDefinition()` Performs a test
`void` `testSaveData()` Performs a test
`void` `testSaveHierarchy()` Performs a test
`void` `testTClosenessEqualWithoutOutliers()` Performs a test
`void` `testTClosenessHierarchicalWithoutOutliers()` Performs a test

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAnonymization

    public TestAnonymization()

### Method Detail

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `AbstractTest`

#### testAllAttributesIdentifying

    public void testAllAttributesIdentifying()
                                      throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testAllAttributesInsensitive

    public void testAllAttributesInsensitive()
                                      throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testAllAttributesSensitive

    public void testAllAttributesSensitive()
                                    throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testDPresenceWithoutOutliers

    public void testDPresenceWithoutOutliers()
                                      throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testHierarchyWithHeightOne

    public void testHierarchyWithHeightOne()
                                    throws java.lang.IllegalArgumentException,
                                           java.io.IOException

Performs a test

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testKAnonymizationWithoutOutliers

    public void testKAnonymizationWithoutOutliers()
                                           throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testLDiversityDistinctWithoutOutliers

    public void testLDiversityDistinctWithoutOutliers()
                                               throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testLDiversityEntropyWithoutOutliers

    public void testLDiversityEntropyWithoutOutliers()
                                              throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testLDiversityWithoutOutliers

    public void testLDiversityWithoutOutliers()
                                       throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testMoreThanOneAttributeSensitive

    public void testMoreThanOneAttributeSensitive()
                                           throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testMultipleUsesOfDataDefinition

    public void testMultipleUsesOfDataDefinition()
                                          throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testSaveData

    public void testSaveData()
                      throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testSaveHierarchy

    public void testSaveHierarchy()
                           throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testTClosenessEqualWithoutOutliers

    public void testTClosenessEqualWithoutOutliers()
                                            throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`

#### testTClosenessHierarchicalWithoutOutliers

    public void testTClosenessHierarchicalWithoutOutliers()
                                                   throws java.io.IOException

Performs a test

Throws:
  `java.io.IOException`